<div class="position-relative">
	<a href="" class="hd_contact hd_contact_tel" :class="{'active': isConnected}">
		<i class="mdi mdi-phone"></i>

		<div class="txt">
			<div class="hd_contact_tel_val">
				<i class="mdi mdi-clock-outline"></i>
				<div class="txt">{{ timerCounterDisplay }}</div>
			</div>

			<div class="hd_contact_tel_txt">{{$store.state.locale.toCall}}</div>
		</div>
	</a>

	<div class="hd_contact_dial_bx" :class="crmCallClicked ? 'active' : ''">
		<div class="hd_contact_dial">
			<div class="hd_contact_dial_hd">
				<div class="hd_contact_dial_sts">
					<div class="hd_contact_dial_sts_txt">{{ $store.state.operator_id }}</div>

					<div class="hd_contact_dial_sts_btn" :class="{active: callStatus}">
						<i class="mdi mdi-circle"></i>
						<div class="txt on">{{ $store.state.locale.switchedOn }}</div>
						<div class="txt off">{{ $store.state.locale.switchedOff }}</div>
					</div>
				</div>


				<div class="hd_contact_dial_from" v-if="callingNumber !== ''">
					<i class="mdi mdi-phone-incoming"></i>

					<div class="hd_contact_dial_from_num">{{ callingNumber }}</div>
				</div>

				<div style="padding: 10px;">
<!--					<multiselect-->
<!--							class="base_multiselect"-->
<!--							placeholder="Search contacts"-->
<!--							:options="handbookNumberList"-->
<!--							:close-on-select="true"-->
<!--							:searchable="true"-->
<!--							:clear-on-select="true"-->
<!--							:show-labels="false"-->
<!--							:show-pointer="true"-->
<!--							label="info"-->
<!--							track-by="id"-->
<!--							@input="HandbookSelect"-->
<!--					>-->
<!--						<div slot="option" slot-scope="props" class="d-flex justify-content-between align-items-center" style="white-space: normal;">-->
<!--							<div class="pr-3">-->
<!--								<div class="mb-2">{{ props.option.info }}</div>-->
<!--								<div class="text-muted" style="font-size: 12px;">{{ orgList.find(x => x.id === props.option.orgId) ? orgList.find(x => x.id === props.option.orgId).name :-->
<!--									'-&#45;&#45;' }}-->
<!--								</div>-->
<!--							</div>-->
<!--							<div class="text-muted" style="font-size: 10px;">-->
<!--								{{ props.option.phoneNumber }}-->
<!--							</div>-->
<!--						</div>-->

<!--						<div slot="noResult">Nothing found</div>-->
<!--					</multiselect>-->
					<select name="" id="active" class="form-control" v-model="phoneCode"
							required>
						<option :value="org.code" v-for="org in orgList">{{org.name}}</option>

					</select>
				</div>
			</div>


			<div class="hd_contact_dial_bd">
				<div class="hd_contact_dial_to">
					<form @submit.prevent="CallStart">
						<input class="form-control spinner" id="dialField" type="text" v-model="telNumber" autofocus>
					</form>

					<button type="button" class="hd_contact_dial_to_del" v-if="telNumber !== ''">
						<i class="mdi mdi-backspace"></i>
					</button>
				</div>

				<div class="hd_contact_dial_num">
					<div class="num" data-number="1">
						<div class="val">1</div>
						<div class="txt">&nbsp;</div>
					</div>
					<div class="num" data-number="2">
						<div class="val">2</div>
						<div class="txt">ABC</div>
					</div>
					<div class="num" data-number="3">
						<div class="val">3</div>
						<div class="txt">DEF</div>
					</div>
					<div class="num" data-number="4">
						<div class="val">4</div>
						<div class="txt">GHI</div>
					</div>
					<div class="num" data-number="5">
						<div class="val">5</div>
						<div class="txt">JKL</div>
					</div>
					<div class="num" data-number="6">
						<div class="val">6</div>
						<div class="txt">MNO</div>
					</div>
					<div class="num" data-number="7">
						<div class="val">7</div>
						<div class="txt">PQRS</div>
					</div>
					<div class="num" data-number="8">
						<div class="val">8</div>
						<div class="txt">TUV</div>
					</div>
					<div class="num" data-number="9">
						<div class="val">9</div>
						<div class="txt">WXYZ</div>
					</div>
					<div class="num" data-number="">
						<div class="val">*</div>
						<div class="txt">&nbsp;</div>
					</div>
					<div class="num" data-number="0">
						<div class="val">0</div>
						<div class="txt">+</div>
					</div>
					<div class="num" data-number="">
						<div class="val">#</div>
						<div class="txt">&nbsp;</div>
					</div>
				</div>
			</div>


			<div class="hd_contact_dial_ft">
				<div v-if="calling">
					<div class="hd_contact_dial_accept">
						<div class="row no-gutters">
							<div class="col-6 pr-1">
								<button type="button" class="btn hd_contact_dial_btn" @click="CallAccept">
									{{$store.state.locale.acceptCall }}
								</button>
							</div>
							<div class="col-6 pl-1">
								<button type="button" class="btn hd_contact_dial_btn danger" @click="CallReject">
									{{$store.state.locale.rejectCall }}
								</button>
							</div>
						</div>
					</div>
				</div>

				<div v-else>
					<div class="hd_contact_dial_cancel" v-if="callActive">
						<button type="button" class="btn hd_contact_dial_btn danger flex-fill w-auto" @click="CallEnd">
							{{ $store.state.locale.finishCall }}
						</button>

						<div class="hd_contact_dial_cancel_act">
							<button type="button" class="btn pause" @click="CallHoldResume">
								<i class="mdi mdi-play" v-if="isHold"></i>
								<i class="mdi mdi-pause" v-else></i>
							</button>
							<button type="button" class="btn forward" @click="CallTransfer">
								<i class="mdi mdi-call-missed" style="transform: rotateY(180deg)"></i>
							</button>
						</div>
					</div>

					<div class="hd_contact_dial_call" v-else>
						<button type="button" class="btn hd_contact_dial_btn" @click="CallStart">
							{{ $store.state.locale.toCall }}
						</button>
					</div>
				</div>

			</div>
		</div>
	</div>
</div>